[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit '_crw_alloc' (#crwlib)

# TObjectRegistry

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_alloc.pas line 549

`type TObjectRegistry = class(TLatch)`
`public`
`constructor Create;`
`destructor Destroy; override;`
`function InitRef();`
`function FreeRef();`
`procedure ForEach();`
`function ClassNameList;`
`property Count: Integer; [r]`
`property Space: Integer; [r]`
`property Capacity: Integer; [r]`
`property Items []: TObject; default; [r]`
`function ref_min;`
`function ref_max;`
`end;`

## Inheritance

`TObjectRegistry`
`TLatch`
`TMasterObject`
`TObject`